Bug 113241 - innd will not start - makehistory / makedbz
innd will not start - makehistory / makedbz
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: inn (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-10 08:16 EST by shrek-m
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-16 08:14:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shrek-m 2004-01-10 08:16:19 EST
Description of problem:
Description of problem:
innd will not start -
"Bitte fuehren Sie makehistory und/oder makedbz aus, bevor Sie innd
starten."
"run makehistory and/or makedbz"

inncheck -
  solving the errors

makehistory -
  no errors

makedbz -
  "Can't do dbzagain, No such file or directory"

Version-Release number of selected component (if applicable):
inn-2.3.5-6

How reproducible:
Always

Steps to Reproduce:
1. service innd start
2. cd /usr/lib/news/bin/
3. inncheck
4. makehistory
5. makedbz
6. service innd status
    

Actual Results:  innd is not running
"Bitte fuehren Sie makehistory und/oder makedbz aus, bevor Sie innd
starten."
"run makehistory and/or makedbz"

it is just the same under redhat 8.0, 9

Expected Results:  innd should work

Additional info:

#27421
#43601


<to_the_RAID-GODS>
this bug was filed 2003-09-30
but is now an other bug-report
--------
Date: Tue, 30 Sep 2003 16:15:27 -0400
Message-Id: <200309302015.h8UKFR711693@beta.redhat.com>
From: bugzilla@redhat.com
To: shrek-m@gmx.de
Subject: [Bug 106067] New: innd will not start - makehistory / makedbz

Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug report.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=106067

           Summary: innd will not start - makehistory / makedbz
           Product: Fedora Core
           Version: test1
--------
Date: Tue, 30 Sep 2003 16:23:03 -0400
Message-Id: <200309302023.h8UKN3Z11938@beta.redhat.com>
From: bugzilla@redhat.com
To: shrek-m@gmx.de
Subject: [Bug 106067] innd will not start - makehistory / makedbz

notting@redhat.com changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
OtherBugsDependingO|                            |100644
              nThis|                            |
            Summary|innd will not start -       |innd will not start -
                   |makehistory / makedbz       |makehistory / makedbz




</to_the_RAID-GODS>
Comment 1 shrek-m 2004-01-12 01:56:43 EST
# rpm -q inn inews inn-devel
inn-2.3.5-6
inews-2.3.5-6
Paket inn-devel ist nicht installiert

/etc/news/
/usr/lib/news/bin/
/var/lib/news/
/var/log/news/


start here:
# grep makedbz -r /usr/share/doc/inn-2.3.5/
/usr/share/doc/inn-2.3.5/INSTALL:        makedbz -i
/usr/share/doc/inn-2.3.5/NEWS:    seperate program, makedbz. 
makehistory still generates the base history
/usr/share/doc/inn-2.3.5/NEWS:        makedbz -s `wc -l <history.n` -f
history.n

or here:
http://howto.ipng.be/INN-Suck-HOWTO/INN-Suck-HOWTO-2.html

and try:
# su - news -c "/usr/lib/news/bin/makehistory"
# su - news -c "/usr/lib/news/bin/makedbz -i"
rename all /var/lib/news/history.n.* to /var/lib/news/history.*
check if the owner:group is news:news and mode 644

  prepare storage.conf for "traditional spool":
# man storage.conf
# grep -5 tradspool /etc/news/storage.conf
#       newsgroups: *
#       class: 3
#       size: 4000,1000000
#       options: BIGAREA
#}
method tradspool {
        newsgroups: *
        class: 4
}


  quik enabled 192.168.0.0/24:
# man raeders.conf
# grep -3 ^auth /etc/news/readers.conf
# commented-out examples).  This assigns the identity of <localhost> to
# the local machine
 
auth "localhost" {
    hosts: "localhost, 127.0.0.1, stdin, 192.168.0.0/24"
    default: "<localhost>"
}



  a quick test newsgroup:
# man ctlinnd
# /usr/lib/news/bin/ctlinnd newgroup test

  all ok?:
# service innd restart
# telnet 192.168.0.1 119
# /usr/lib/news/bin/scanlogs | less

Note You need to log in before you can comment on or make changes to this bug.